{ lib, buildPythonPackage, fetchFromGitHub, django, josepy, requests, cryptography }:
buildPythonPackage {
  pname = "mozilla-django-oidc";
  version = "3.0.0";
  src = fetchFromGitHub {
    owner = "mozilla";
    repo = "mozilla-django-oidc";
    rev = "71e4af8283a10aa51234de705d34cd298e927f97";
    hash = "sha256-bAuL6JDLU7oigEgdIrGHhO8ZnD0g0ulQ1IoY79HDnNo=";
  };
  propagatedBuildInputs = [
    django
    josepy
    requests
    cryptography
  ];
  doCheck = false;
  meta = with lib; {
    description = "A lightweight authentication and access management library for integration with OpenID Connect enabled authentication services.";
    homepage = "https://mozilla-django-oidc.readthedocs.io";
    license = licenses.mpl20;
  };
}
